require 'erb'
require 'pry'

module PdfSearch
  class SearchView
    def initialize(search_index)
      @search_index = search_index
    end

    def search_view_erb_template
      File.read(::PdfSearch.relative_to_gem_path(['html', 'index.html.erb']))
    end

    def render
      template = ERB.new(search_view_erb_template)
      template.result(binding)
    end

    private

    def search_index
      @search_index
    end
  end
end